﻿import es

info = es.AddonInfo()
info.name = 'pirat_hostname_advert'
info.version = '07-10-29'
info.url = 'www.les-pirates.info'
info.basename = 'pirat_hostname_advert'
info.author = 'Cap!tain_ta_race'

import os.path
from random import *

def addon_file_exist(addon_name,filename):
    """fonction pour verifier si un fichier existe dans un addon"""
    if os.path.isfile(es.getAddonPath(addon_name) + '/' + filename):
      return 1  #fichier trouvé, retourne la valeur 1
    else:
      return 0  #fichier pas trouvé, retourne la valeur 0
def read_file(addon_name,filename):
    """ouvre le fichier et retourne une liste contenant chaque ligne du fichier"""
    fichier = open((es.getAddonPath(addon_name) + '/' + filename), "r")
    lignes = fichier.readlines()
    fichier.close()
    return lignes
def cleaner(lignes):
    """enleve les /n de chaque ligne et commentaire ## """
    output = [] # une liste vide
    for index in range(len(lignes)):  # pour chaque index de de la liste
      if lignes[index] != '\n': # SI l'element positionne a cet index n'est pas qu'un \n et qu'il contient \n
        if '\n' in lignes[index]:
            if '##' not in lignes[index]:
                output.append(lignes[index][:-1])
        else :
            output.append(lignes[index])
    return output
def section(liste,first,second=""):
    """fonction qui capture dans une liste les valeurs entre 2 valeurs
    retourne 0 s'il n'y a rien
    retourne -1 si "first" ou/et "second" n'existe pas dans liste
    """
    exist = 1
    output = []
    if second == "":    #si la valeur "second" est égale à "" qui est aussi la valeur par défaut
        liste.append("")    #alors on ajoute la valeur "" à la fin de la liste
    try: #essayer si les valeurs de "first" est dans la liste
        liste.index(first)
    except ValueError: #si elle n'existe pas
        exist = 0
    try: #essayer si les valeurs de "second" est dans la liste
        liste.index(second)
    except ValueError: #si elle n'existe pas
        exist = 0
    if exist:   #si les valeurs "first" et "second" existe alors renvoyer les données
        for index in range(liste.index(first)+1,liste.index(second)):
            output.append(liste[index])
        if output != []: #s'il n'y a rien entre "first et "second" alors retourner 0
            return output
        else: return 0
    else: return -1 #si les valeurs "first" et/ou "second" n'existe pas alors renvoyer -1
#########################
##DEBUT DE PROGRAMME##

def server(event_var):
        if addon_file_exist("pirat_hostname_advert","hostname_list.txt"):
            lignes = cleaner(read_file("pirat_hostname_advert","hostname_list.txt"))
            section_common = section(lignes,"[common]","[list]")
            section_list = section(lignes,"[list]")
            hazard_hostname = section_list[randrange(len(section_list))]
            complete_hostname = section_common[0] + hazard_hostname
            es.server.cmd('hostname ' + complete_hostname)


